# ${REPO_NAME}

${REPO_DESCRIPTION}

# A propos de 

# Prérequis

Vous avez besoin d'une installation Ansible fonctionnelle sur votre machine.

~~~bash
  ./install-ansible.sh
~~~

## Edition du fichier Hosts
~~~bash
sudo nano /etc/ansible/hosts
~~~

## Creation clé SSH
~~~bash
ssh-keygen -t ed25519 -C "ansible"
~~~

## Permissions clé SSH
~~~bash
chmod 600 ~/.ssh/ansible
~~~

## Ping Command Ansible 
~~~bash
ansible all -m ping
~~~

## Copier clé SSH
~~~bash
ssh-copy-id -i ~/.ssh/ansible.pub 10.0.4.150
~~~

## Ping Command Ansible avec nouvelle clé SSH
~~~bash
ansible all -m ping --key-file ~/.ssh/ansible
~~~

# Démarrage

~~~bash
  git clone https://gitea.tips-of-mine.com${REPO_LINK}.git
  cd ${REPO_NAME}
~~~

## Personnalisation

Le fichier .env pour les variable d'environnement
~~~bash
  nano .env
~~~

Modification des labels pour traefik
~~~bash
  nano docker-compose.yml
~~~

## Lancement

~~~bash
  docker compose up -d
~~~

~~~bash
  docker compose logs -f
~~~

# Buy me a coffe
<a href='https://ko-fi.com/R5R2KNI3N' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://storage.ko-fi.com/cdn/kofi4.png?v=3' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>